import Vue from 'vue';
import App from './App.vue';
import router from './router';
import { vuetify } from './plugins';
import store from './store';
import './components';
import './registerServiceWorker';
import 'roboto-fontface/css/roboto/roboto-fontface.css';
import './styles';

import './services/datasources/RestSelectForm';

Vue.config.productionTip = false;

declare global { interface Window { PM_PROMISE_REQUEST_USER_AUTH: any; } }

new Vue({
  router,
  vuetify,
  store,
  render: (h) => h(App),
}).$mount('#app');
